{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  python3Packages,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "gcobb321";
  domain = "icloud3";
  version = "3.2.3";

  src = fetchFromGitHub {
    owner = owner;
    repo = "icloud3";
    rev = "v${version}";
    hash = "sha256-RyH25elL/0+xnJcgAx9LzYpLy5JcWuMagJiJXKbgz/s=";
  };

  propagatedBuildInputs = with python3Packages; [
    srp
  ];

  meta = {
    changelog = "https://github.com/gcobb321/icloud3/releases/tag/${version}";
    description = "Cloud3 is a device tracker custom component that tracks your iPhones, iPads and Apple Watches. Devices in the Family Sharing List and the HA Mobile App Integration are trackable.";
    homepage = "https://github.com/gcobb321/icloud3";
    maintainers = [ ];
  };
}
